> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new OAuth application for an organization

> This endpoint generates the client_id and client_secret you will need to generate OAuth tokens at a user scope.



## OpenAPI

````yaml post /v1/core/oauth/apps
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/oauth/apps:
    post:
      summary: Create a new OAuth application for an organization
      description: >-
        This endpoint generates the client_id and client_secret you will need to
        generate OAuth tokens at a user scope.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appName:
                  type: string
                  minLength: 1
                owner:
                  type: string
                  minLength: 1
                  description: The user that created this OAuth app.
                organizationId:
                  type: string
                  minLength: 1
                  description: The organization that owns this OAuth app.
              required:
                - appName
                - owner
                - organizationId
      responses:
        '201':
          description: Create a new OAuth application for an organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  appName:
                    type: string
                  clientID:
                    type: string
                  clientSecret:
                    type: string
                required:
                  - appName
                  - clientID
                  - clientSecret
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````